Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.versioned
Class VersionedObjectInterceptorFactory

    java.lang.Object
      org.jboss.aspects.versioned.VersionedObjectInterceptorFactory

All Implemented Interfaces:
  org.jboss.aop.advice.AspectFactory

public class VersionedObjectInterceptorFactory
extends Object
implements org.jboss.aop.advice.AspectFactory

Version:
  $Revision: 1.4 $
Author:
  Bill Burke

Constructor Summary
`VersionedObjectInterceptorFactory()`

Method Summary
`Object` | `createPerClass(org.jboss.aop.Advisor advisor)`
`Object` | `createPerInstance(org.jboss.aop.Advisor advisor, org.jboss.aop.InstanceAdvisor instanceAdvisor)`
`Object` | `createPerJoinpoint(org.jboss.aop.Advisor advisor, org.jboss.aop.InstanceAdvisor instanceAdvisor, org.jboss.aop.joinpoint.Joinpoint jp)`
`Object` | `createPerJoinpoint(org.jboss.aop.Advisor advisor, org.jboss.aop.joinpoint.Joinpoint jp)`
`Object` | `createPerVM()`
`static VersionedObjectInterceptor` | `getInstance()`
`String` | `getName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VersionedObjectInterceptorFactory

    public VersionedObjectInterceptorFactory()

Method Detail

### getInstance

    public static VersionedObjectInterceptor getInstance()

### createPerVM

    public Object createPerVM()

  Specified by:
    `createPerVM` in interface `org.jboss.aop.advice.AspectFactory`

### createPerClass

    public Object createPerClass(org.jboss.aop.Advisor advisor)

  Specified by:
    `createPerClass` in interface `org.jboss.aop.advice.AspectFactory`

### createPerInstance

    public Object createPerInstance(org.jboss.aop.Advisor advisor,
                                    org.jboss.aop.InstanceAdvisor instanceAdvisor)

  Specified by:
    `createPerInstance` in interface `org.jboss.aop.advice.AspectFactory`

### createPerJoinpoint

    public Object createPerJoinpoint(org.jboss.aop.Advisor advisor,
                                     org.jboss.aop.joinpoint.Joinpoint jp)

  Specified by:
    `createPerJoinpoint` in interface `org.jboss.aop.advice.AspectFactory`

### createPerJoinpoint

    public Object createPerJoinpoint(org.jboss.aop.Advisor advisor,
                                     org.jboss.aop.InstanceAdvisor instanceAdvisor,
                                     org.jboss.aop.joinpoint.Joinpoint jp)

  Specified by:
    `createPerJoinpoint` in interface `org.jboss.aop.advice.AspectFactory`

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.jboss.aop.advice.AspectFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.